#include "CullingManager.h"

namespace GtpVisibility {

//-----------------------------------------------------------------------
CullingManager::CullingManager():
mHierarchyInterface(NULL), mVisibilityThreshold(0), mNumQueryCulledNodes(0), 
mNumFrustumCulledNodes(0)
{
}
//-----------------------------------------------------------------------
void CullingManager::SetHierarchyInterface(HierarchyInterface *hierarchyInterface)
{
	mHierarchyInterface = hierarchyInterface;
}
//-----------------------------------------------------------------------
void CullingManager::SetVisibilityThreshold(unsigned int visibilityThreshold)
{
	mVisibilityThreshold = visibilityThreshold;
}
//-----------------------------------------------------------------------
unsigned int CullingManager::GetNumFrustumCulledNodes()
{
	return mNumFrustumCulledNodes;
}
//-----------------------------------------------------------------------
unsigned int CullingManager::GetNumQueryCulledNodes()
{
	return mNumQueryCulledNodes;
}
} // namespace GtpVisibility
